#!/bin/ksh

vdt=vdt 


function run {
    size=$1
    tempfile=ahub.out.$size
    rm -f $tempfile
    $vdt -ignore_near_surf -bdry_pt_shift_mult 0.02 -gen_pt_shift_mult 0.01 -i ahub$size > $tempfile 2>&1
    npts=$(cat $tempfile | egrep 'Output:.*tets' | tr -s ' ' | cut -d' ' -f4)
    ntets=$(cat $tempfile | egrep 'Output:.*tets' | tr -s ' ' | cut -d' ' -f13)
    reading=$(cat $tempfile | egrep 'Reading of input took' | tr -s ' ' | cut -d' ' -f7)
    preprocessing=$(cat $tempfile | egrep 'Preprocessing took' | tr -s ' ' | cut -d' ' -f5)
    delaunayhood=$(cat $tempfile | egrep 'Delaunay properties took' | tr -s ' ' | cut -d' ' -f8)
    enforce=$(cat $tempfile | egrep 'Boundary enforcement took' | tr -s ' ' | cut -d' ' -f6)
    af=$(cat $tempfile | egrep 'Volume triangulation took' | tr -s ' ' | cut -d' ' -f6)
    quality=$(cat $tempfile | egrep 'Quality improvement took' | tr -s ' ' | cut -d' ' -f6)
    totalrun=$(cat $tempfile | egrep 'Program run took' | tr -s ' ' | cut -d' ' -f6)
    echo "$size $ntets $npts $reading $preprocessing $delaunayhood $enforce $af $quality $totalrun"
}

echo "Mesh size   |  ntets   |   npts  |  reading | preprocessing | delaunayhood | enforce |   af  | quality | total time"
echo "   1        |    2     |    3    |    4     |     5         |      6       |    7    |    8  |  9      |    10 "

for size in 0.115 # 0.50 0.35 0.25 0.22 0.20 0.18 0.15 0.13 0.115 
do
    run $size
done
