#!/bin/bash

function usage_and_exit {
cat <<EOF

          (V)ariational (D)elaunay (T)riangulation        
          VDT Copyright (C) 1998--2001, Petr Krysl           

Usage: $(basename $0) vdtfile famulsprob
EOF
exit 0
}

if [ $# -ne 2 ] ; then
    usage_and_exit
fi

vdtfile=$1; shift
famulsprob=$1; shift
fenfile=$famulsprob.fen
ebcfile=$famulsprob.ebc
connfile=$famulsprob-gg1.conn

if [ -f $fenfile ] ; then
  echo Moving $fenfile to $fenfile.$$
  mv $fenfile $fenfile.$$
fi

if [ -f $ebcfile ] ; then
  echo Moving $ebcfile to $ebcfile.$$
  mv $ebcfile $ebcfile.$$
fi
echo "Function \"0\"" > $ebcfile

if [ -f $connfile ] ; then
  echo Moving $connfile to $connfile.$$
  mv $connfile $connfile.$$
fi


while read s
do
    procline=$(echo $s | tr -s ' ')
    keyw=$(echo $procline | cut -d' ' -f1)
    case "$keyw" in 
    "!")
      # echo Got comment
      ;;
    "pt")
      # echo Got pt
      echo $(echo $procline | cut -d' ' -f2,3,4,5) >> $fenfile
      ;;
    "bsf")
      # echo Got bsf
      echo ntri $(echo $procline | cut -d' ' -f2,3,4) dist 0.00001 >> $ebcfile
      ;;
    *)
      # echo Got tet
      echo  $(echo $procline | cut -d' ' -f2,3,4,5) >> $connfile
      ;;
    esac
done < $vdtfile
