#ifndef VDTUTIL_H
#  define VDTUTIL_H


#define errexit(msg) vdt_error (__FILE__, __LINE__, msg)
#define warn(msg) vdt_warning (__FILE__, __LINE__, msg)
#define logit(msg) vdt_log (stderr, msg)
#define start_logit(msg) vdt_log (__FILE__, __LINE__, msg, FALSE)
#define end_logit(msg) vdt_log (__FILE__, __LINE__, msg, TRUE)

#define CHECK_MEM(ptr) { if (!ptr) errexit ("Not enough memory"); }


#undef FOR
#define FOR(i_, n_) for (i_ = 0; i_ < n_; i_++)

#ifndef min
#   define min(A,B) (((A) < (B)) ? (A) : (B))
#endif
#ifndef max
#   define max(A,B) (((A) > (B)) ? (A) : (B))
#endif

#ifndef min_of_3
#   define min_of_3(A,B,C)           \
          (((A) < (B))?              \
           (((C) < (A))? (C): (A)):  \
           (((C) < (B))? (C): (B))   \
           )
#   define max_of_3(A,B,C)           \
          (((A) > (B))?              \
           (((C) > (A))? (C): (A)):  \
           (((C) > (B))? (C): (B))   \
           )
#endif


#if 1
void
vdt_assert_failed (char *expr, char *file, int line);
#define assert(EX)                                              \
 ((EX)                                                          \
  ? ((void) 0)                                                  \
  : (void) vdt_assert_failed (# EX, __FILE__, __LINE__))
#else
#define assert(EX) 
#endif

#ifdef DO_STRINGIZE
#undef DO_STRINGIZE
#endif
#define DO_STRINGIZE(a) #a
#ifdef STRINGIZE
#undef STRINGIZE
#endif
#define STRINGIZE(a) DO_STRINGIZE(a)


#endif
